%define upstream_name    Module-Extract-Namespaces
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Extract the package declarations from a module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PPI)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module extracts package declarations from Perl code without running
the code.

It does not extract:

* * packages declared dynamically (e.g. in 'eval')

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-6.mga6
+ Revision: 1029979
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.20.0-5.mga6
+ Revision: 934228
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 749369
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.20.0-3.mga5
+ Revision: 727644
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-2.mga5
+ Revision: 685424
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.20.0-1.mga5
+ Revision: 587333
- update to 1.02

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-2.mga4
+ Revision: 527097
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.10.0-1.mga4
+ Revision: 439542
- update to 1.01

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 369792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 33951
- mageia rebuild
- imported package perl-Module-Extract-Namespaces

